<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package yahosein
 */

get_header(); 

?>
    <section class="c-sections online_store_main_content">
        <div class="container ">
            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="<?php echo yahosein_main_sidebar_class(); ?>">
	                        <?php
	                        if(is_home() )
	                        {
		                        get_template_part('template-parts/home' );
	                        }else
	                        {

		                        ?>

                                <div id="primary" class="content-area">
                                    <main id="main" class="site-main" role="main">

				                        <?php
				                        if ( have_posts() ) :

					                        if ( is_home() && ! is_front_page() ) : ?>
                                                <header>
                                                    <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
                                                </header>

						                        <?php
					                        endif;

					                        /* Start the Loop */
					                        while ( have_posts() ) : the_post();

						                        /*
												 * Include the Post-Format-specific template for the content.
												 * If you want to override this in a child theme, then include a file
												 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
												 */

						                        get_template_part( 'template-parts/content', get_post_format() );

					                        endwhile;
					                        echo '<div class="posts_bottom_nav">';
					                        if(function_exists('wp_pagenavi')):
						                        wp_pagenavi();
					                        else:
						                        the_posts_navigation();
					                        endif;
					                        echo '</div>';


				                        else :

					                        get_template_part( 'template-parts/content', 'none' );

				                        endif; ?>

                                    </main><!-- #main -->
                                </div><!-- #primary -->

		                        <?php
		                        get_sidebar();
	                        }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
get_footer();
